## hurd 20120222

=== console-client/Makefile ===
#
#   Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2004,
#   2005, 2008, 2010 Free Software Foundation, Inc.
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2, or (at
#   your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

dir := console-client
makemode := utilities

targets = console
CONSOLE_SRCS = console.c timer.c driver.c trans.c
VGA_SO_SRCS = bdf.c vga-dynafont.c vga-dynacolor.c vga-support.c vga.c
PC_KBD_SO_SRCS = pc-kbd.c kbd-repeat.c
PC_MOUSE_SO_SRCS = pc-mouse.c
GENERIC_SPEAKER_SO_SRCS = generic-speaker.c
CURRENT_VCS_SO_SRCS = current-vcs.c
ifneq ($(LIBNCURSESW),)
NCURSESW_SO_SRCS = ncursesw.c
endif
SRCS = $(CONSOLE_SRCS) \
  $(VGA_SO_SRCS) $(PC_KBD_SO_SRCS) $(PC_MOUSE_SO_SRCS) \
  $(GENERIC_SPEAKER_SO_SRCS) $(CURRENT_VCS_SO_SRCS) $(NCURSESW_SO_SRCS)
LCLHDRS = timer.h driver.h display.h input.h bell.h \
	  unicode.h bdf.h mach-inputdev.h \
	  vga-dynafont.h vga-dynacolor.h vga-hw.h vga-support.h \
	  trans.h

OBJS = $(SRCS:.c=.o) kdioctlServer.o
HURDLIBS = cons threads ports netfs fshelp iohelp ihash shouldbeinlibc
LDLIBS = -ldl
module-dir = $(libdir)/hurd/console
console-LDFLAGS = -Wl,-E

# In seeking, thou shalt find it!
CPPFLAGS += -DQUAERENDO_INVENIETIS

include ../Makeconf

driver-CPPFLAGS = -D'CONSOLE_DEFPATH="$(module-dir)\0"' \
	-D'CONSOLE_SONAME_SUFFIX=".so.$(hurd-version)"'

console: $(CONSOLE_SRCS:.c=.o) \
	../libnetfs/libnetfs.a ../libfshelp/libfshelp.a \
	../libcons/libcons.a ../libports/libports.a \
	../libthreads/libthreads.a ../libshouldbeinlibc/libshouldbeinlibc.a

modules = vga pc_kbd generic_speaker pc_mouse current_vcs

vga-CPPFLAGS = -DDEFAULT_VGA_FONT_DIR=\"${datadir}/hurd/\"
vga.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(VGA_SO_SRCS))
pc_kbd.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(PC_KBD_SO_SRCS))	\
	kdioctlServer_pic.o
pc_mouse.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(PC_MOUSE_SO_SRCS))
generic_speaker.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(GENERIC_SPEAKER_SO_SRCS))
current_vcs.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(CURRENT_VCS_SO_SRCS))

ifneq ($(LIBNCURSESW),)
modules += ncursesw
ncursesw.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(NCURSESW_SO_SRCS))
ncursesw-CPPFLAGS = $(NCURSESW_INCLUDE)
ncursesw-LDLIBS = $(LIBNCURSESW)
endif

all: $(addsuffix .so.$(hurd-version), $(modules))

cleantarg += $(addsuffix .so.$(hurd-version), $(modules))

install: $(module-dir) $(addprefix $(module-dir)/,$(addsuffix .so.$(hurd-version),$(modules)))

$(module-dir):
	@$(MKINSTALLDIRS) $@

$(module-dir)/%: %
	$(INSTALL_DATA) $< $@

# You can use this rule to make a dynamically-loadable version of any
# of the modules.
%.so.$(hurd-version): 
	$(CC) -shared -Wl,-soname=$@ -o $@ $(rpath) \
		$(CFLAGS) $($*-CFLAGS) $(LDFLAGS) \
		'-Wl,-(' $($*-LDLIBS) '-Wl,-)' $^

=== dde26_test/Makefile ===
PKGDIR        ?= ../libdde_linux26
L4DIR         ?= $(PKGDIR)

SYSTEMS        = x86-l4v2

DEFAULT_RELOC  = 0x00a00000

include Makeconf.local

TARGET         = dde26_test

SRC_C          = main.c

LIBS          += -ldde_linux26.o -ldde_linux26_block -ldde_linux26_char -ldde_linux26_net /root/hurd/libddekit/libddekit.a -lpciaccess -lthreads -lshouldbeinlibc
CFLAGS        += -g

# DDE configuration
include $(L4DIR)/Makeconf

include $(L4DIR)/mk/prog.mk

=== dde_e100/Makefile ===
PKGDIR        ?= ../libdde_linux26
L4DIR         ?= $(PKGDIR)

include Makeconf.local

TARGET         = dde_e100

SRC_C          = main.c e100.c

LIBS          += $(libmachdev_path) -ldde_linux26.o -ldde_linux26_net $(libddekit_path) -lfshelp -ltrivfs -lpciaccess -lz -lthreads -lshouldbeinlibc -lports $(libslab_path) $(libbpf_path)
CFLAGS        += -g -I$(PKGDIR)/include -I$(BUILDDIR)/include

# DDE configuration
include $(L4DIR)/Makeconf

include $(L4DIR)/mk/prog.mk

=== dde_e1000/Makefile ===
PKGDIR        ?= ../libdde_linux26
L4DIR         ?= $(PKGDIR)

include Makeconf.local

TARGET         = dde_e1000

SRC_C          = main.c e1000_ethtool.c e1000_hw.c e1000_main.c e1000_param.c

LIBS          += $(libmachdev_path) -ldde_linux26.o -ldde_linux26_net $(libddekit_path) -lfshelp -ltrivfs -lpciaccess -lz -lthreads -lshouldbeinlibc -lports $(libslab_path) $(libbpf_path)
CFLAGS        += -g -I$(PKGDIR)/include -I$(BUILDDIR)/include

# DDE configuration
include $(L4DIR)/Makeconf

include $(L4DIR)/mk/prog.mk

=== dde_ne2k_pci/Makefile ===
PKGDIR        ?= ../libdde_linux26
L4DIR         ?= $(PKGDIR)

SYSTEMS        = x86-l4v2

include Makeconf.local

TARGET         = dde_ne2k_pci

SRC_C          = main.c ne2k-pci.c 8390.c

LIBS          += $(libmachdev_path) -ldde_linux26.o -ldde_linux26_net $(libddekit_path) -lfshelp -ltrivfs -lpciaccess -lz -lthreads -lshouldbeinlibc -lports $(libslab_path) $(libbpf_path)
CFLAGS        += -g -I$(PKGDIR)/include -I$(BUILDDIR)/include

# DDE configuration
include $(L4DIR)/Makeconf

include $(L4DIR)/mk/prog.mk

=== dde_pcnet32/Makefile ===
PKGDIR        ?= ../libdde_linux26
L4DIR         ?= $(PKGDIR)

include Makeconf.local

TARGET         = dde_pcnet32

SRC_C          = main.c pcnet32.c

LIBS          += $(libmachdev_path) -ldde_linux26.o -ldde_linux26_net $(libddekit_path) -lfshelp -ltrivfs -lpciaccess -lz -lthreads -lshouldbeinlibc -lports $(libslab_path) $(libbpf_path)
CFLAGS        += -g -I$(PKGDIR)/include -I$(BUILDDIR)/include

# DDE configuration
include $(L4DIR)/Makeconf

include $(L4DIR)/mk/prog.mk

=== dde_pcnet32_test/Makefile ===
PKGDIR        ?= ../libdde_linux26
L4DIR         ?= $(PKGDIR)

SYSTEMS        = x86-l4v2

include Makeconf.local

TARGET         = dde_pcnet32

SRC_C          = main.c arping.c pcnet32.c

LIBS          += -ldde_linux26.o -ldde_linux26_block -ldde_linux26_char -ldde_linux26_net /root/hurd/libddekit/libddekit.a -lpciaccess -lthreads -lshouldbeinlibc
CFLAGS        += -g

# DDE configuration
include $(L4DIR)/Makeconf

include $(L4DIR)/mk/prog.mk

=== dde_rtl8139/Makefile ===
PKGDIR        ?= ../libdde_linux26
L4DIR         ?= $(PKGDIR)

SYSTEMS        = x86-l4v2

include Makeconf.local

TARGET         = dde_rtl8139

SRC_C          = main.c 8139cp.c

LIBS          += $(libmachdev_path) -ldde_linux26.o -ldde_linux26_net $(libddekit_path) -lfshelp -ltrivfs -lpciaccess -lz -lthreads -lshouldbeinlibc -lports $(libslab_path) $(libbpf_path)
CFLAGS        += -g -I$(PKGDIR)/include -I$(BUILDDIR)/include

# DDE configuration
include $(L4DIR)/Makeconf

include $(L4DIR)/mk/prog.mk

=== ddekit_test/Makefile ===
# Copyright (C) 1992, 1993, 1994, 1995, 1996, 2008 Free Software Foundation, Inc.
# This file is part of the GNU Hurd.
#
# The GNU Hurd is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# The GNU Hurd is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the GNU Hurd; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

dir := test
makemode := server

SRCS = main.c
LCLHDRS = 
DIST_FILES = 
HURDLIBS = ddekit
target = test
MIGSTUBS = 
OBJS = $(SRCS:.c=.o) $(MIGSTUBS)

include ../Makeconf

CFLAGS = -I../libddekit/include -g

=== devnode/Makefile ===
# Copyright (C) 1992, 1993, 1994, 1995, 1996, 2008 Free Software Foundation, Inc.
# This file is part of the GNU Hurd.
#
# The GNU Hurd is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# The GNU Hurd is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the GNU Hurd; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

dir := devnode
makemode := server

SRCS = devnode.c
LCLHDRS = util.h
DIST_FILES = ourdevice.defs notify.defs
HURDLIBS = ports trivfs fshelp shouldbeinlibc
target = devnode
MIGSTUBS = ourdeviceServer.o notifyServer.o
OBJS = $(SRCS:.c=.o) $(MIGSTUBS)

include ../Makeconf

ourdevice.defs: device.defs
	$(CPP) $(CPPFLAGS) -x c $< | sed -e '/out[ 	]*device[ 	]*:[ 	]*device_t/s/device_t/mach_port_send_t/' > $@

=== doc/Makefile ===
#
#   Copyright (C) 1994, 1998, 1999, 2003 Free Software Foundation
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2, or (at
#   your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

dir := doc
makemode := misc

DIST_FILES := navigating gpl.texinfo hurd.texi version.texi
targets = hurd.info $(wildcard hurd.info-*)
installationdir = $(infodir)

DVIPS = dvips

include ../Makeconf

# For each .info file we need a .d file.
-include $(patsubst %.info,%.d,$(filter %.info,$(targets))) /dev/null

# Build dependencies from included files.
%.d: %.texi
	set -e; (echo "$*.info $*.dvi: \\"; grep '^@include ' $< | \
		 sed -e 's/^[^ 	]*[ 	]*\([^ 	]*\).*$$/	\1 \\/'; \
		 echo) > $@.new
	mv -f $@.new $@

%.info: %.texi
	@rm -f $@ $@-[0-9] $@-[0-9][0-9]
	$(MAKEINFO) -I $(@D) -I $(<D) $<

.PRECIOUS: %.dvi
%.dvi: %.texi
	TEXINPUTS=$(srcdir):$$TEXINPUTS \
	  MAKEINFO='$(MAKEINFO) -I $(srcdir)' $(TEXI2DVI) $<

%.ps: %.dvi
	$(DVIPS) $< -o $@

move-if-change = $(SHELL) $(top_srcdir)/move-if-change

version.texi: stamp-version; @:
stamp-version: $(top_srcdir)/Makeconf
	echo '@set VERSION $(hurd-version)' > version.texi.new
	$(move-if-change) version.texi.new version.texi
	touch $@

# XXX: the default lndist target will try to look for target files
# in the source directory. Special case them.
lndist: lndist-info-targets
lndist-info-targets: hurd.info $(wildcard hurd.info-*)
	ln $? $(top_srcdir)/hurd-snap/$(dir)

=== exec/Makefile ===
# Copyright (C) 1993,94,95,96,98,99,2000,01,02,10 Free Software Foundation, Inc.
# This file is part of the GNU Hurd.
#
# The GNU Hurd is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# The GNU Hurd is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the GNU Hurd; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

dir := exec
makemode := server

SRCS = exec.c main.c hashexec.c hostarch.c \
       $(gzip-sources) $(bzip2-sources)
OBJS = main.o hostarch.o exec.o hashexec.o \
       execServer.o exec_startupServer.o \
       $(gzip-objects) $(bzip2-objects)
gzip-sources = unzip.c util.c inflate.c
gzip-objects = $(gzip-sources:%.c=%.o)
bzip2-sources = do-bunzip2.c
bzip2-objects = $(bzip2-sources:%.c=%.o)

LCLHDRS = gzip.h crypt.h tailor.h priv.h execmutations.h
target = exec
#targets = exec exec.static
DIST_FILES = elfcore.c
#OTHERLIBS = -lbfd -liberty
HURDLIBS = trivfs fshelp iohelp threads ports ihash shouldbeinlibc

exec-MIGSFLAGS = -imacros $(srcdir)/execmutations.h

include ../Makeconf

CPPFLAGS += -DGZIP -DBZIP2 # -DBFD

exec.static exec: $(OBJS) $(library_deps)

=== debian/control ===
Source: hurd
Section: admin
Priority: required
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Standards-Version: 3.9.2
Build-Depends: mig (>= 1.3-2), gnumach-dev (>= 2:1.3.99.dfsg.cvs20070526),
 libc0.3-dev (>= 2.9), texinfo, texi2html, libncursesw5-dev, cdbs,
 debhelper (>= 4.2.0), gcc-4.6, dpkg (>= 1.15.4) | install-info,
 libparted-dev
Uploaders: Jeff Bailey <jbailey@raspberryginger.com>,
 Neal H. Walfield <neal@debian.org>, Michael Banck <mbanck@debian.org>, 
 Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/hurd.html
Vcs-Browser: http://git.debian.org/?p=pkg-hurd/hurd.git
Vcs-Git: git://git.debian.org/pkg-hurd/hurd.git

Package: hurd
Essential: yes
Depends: ${misc:Depends}, sysv-rc, ${shlibs:Depends}
Breaks: gnumach (<< 2:1.3.99.dfsg.cvs20070526-1), libc0.3 (<< 2.11.2-12)
Suggests: hurd-doc
Recommends: bf-utf-source
Provides: makedev, login
Replaces: makedev, login, random-egd
Conflicts: makedev, login
Architecture: hurd-any
Description: GNU Hurd
 This is the GNU Hurd package. It contains essential system software and
 libraries.

Package: hurd-dev
Priority: standard
Section: libdevel
Architecture: hurd-any
Depends: ${misc:Depends}, hurd (= ${binary:Version})
Provides: libsem-dev
Replaces: libsem-dev
Conflicts: libsem-dev
Description: GNU Hurd (development files)
 This package includes the header files and the static libraries.

Package: hurd-dbg
Priority: extra
Section: debug
Architecture: hurd-any
Depends: ${misc:Depends}, hurd (= ${binary:Version})
Description: GNU Hurd (debugging files)
 This package includes the unstripped binaries and libraries.

Package: hurd-doc
Priority: optional
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: hurd (>= ${source:Version})
Description: GNU Hurd manual
 This package includes the manual in info and HTML format.

Package: hurd-udeb
Package-Type: udeb
Priority: optional
Section: debian-installer
Architecture: hurd-any
Depends: ${misc:Depends}
Provides: hurd, ext2-modules, fat-modules, ipv6-modules, isofs-modules, loop-modules, mouse-modules, nfs-modules, socket-modules, ufs-modules
Description: GNU Hurd - udeb
 This is the GNU Hurd udeb package. It contains essential system software and
 libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Jeff Bailey <jbailey@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

DEB_BUILDDIR = $(DEB_SRCDIR)/build

CC=gcc-4.6

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_USER_FLAGS := --disable-profile --enable-static-progs='ext2fs,ufs,iso9660fs'
DEB_MAKE_INSTALL_TARGET = install prefix=$(DEB_DESTDIR) sysconfdir=$(DEB_DESTDIR)/etc localstatedir=$(DEB_DESTDIR)/var
DEB_DH_STRIP_ARGS := --dbg-package=hurd
DEB_DH_MAKESHLIBS_ARGS_hurd := --add-udeb="hurd-udeb"

DDE_DRIVERS = e100 e1000 pcnet32 rtl8139 ne2k_pci

build/hurd::
	cd $(DEB_BUILDDIR)/doc && texi2html -split chapter ../../doc/hurd.texi
	$(MAKE) -C libdde_linux26 BUILDDIR=$(CURDIR)/build
	for i in $(DDE_DRIVERS) ; \
	do \
		$(MAKE) -C dde_$$i BUILDDIR=$(CURDIR)/build || exit 1 ; \
	done

clean::
	$(MAKE) -C libdde_linux26 cleanall
	rm -f $$(find libdde_linux26 -name \*.d)
	rm -fr libdde_linux26/build
	rm -fr libdde_linux26/lib/src/gen_crc32table libdde_linux26/lib/src/crc32table.h libdde_linux26/lib/src/timeconst.h
	for i in $(DDE_DRIVERS) ; \
	do \
		$(MAKE) -C dde_$$i cleanall ; \
	done

install/hurd::
	# runsystem is managed by update-alternatives
	mv debian/tmp/lib/hurd/runsystem debian/tmp/lib/hurd/runsystem.gnu

	# move away fakeroot, ps, uptime, vmstat and w to not conflict with the
	# ones  from other packages
	mkdir -p debian/tmp/usr/bin
	mv debian/tmp/bin/fakeroot debian/tmp/usr/bin/fakeroot-hurd
	mv debian/tmp/bin/ps debian/tmp/bin/ps-hurd
	mv debian/tmp/bin/uptime debian/tmp/usr/bin/uptime-hurd
	mv debian/tmp/bin/vmstat debian/tmp/usr/bin/vmstat-hurd
	mv debian/tmp/bin/w debian/tmp/usr/bin/w-hurd

	# move away halt and reboot to not conflict with sysvinit
	# (they will be handled as alternatives)
	mv debian/tmp/sbin/halt debian/tmp/sbin/halt-hurd
	mv debian/tmp/sbin/reboot debian/tmp/sbin/reboot-hurd

	install -m664 debian/hurd-console.default debian/hurd/etc/default/hurd-console

	install -m664 $(DEB_SRCDIR)/console/motd.UTF8 debian/hurd/etc/
	install -m664 $(DEB_SRCDIR)/release/servers.boot debian/hurd/boot/

	$(MAKE) -C libdde_linux26 INSTALLDIR=$(CURDIR)/debian/tmp/usr/share/libdde_linux26/build/include install

install/hurd-dev::
	install -m644 debian/local/soundcard.h debian/tmp/include/sys
	install -m644 debian/local/cdrom.h debian/tmp/include/sys

SUID_PROGRAMS = /bin/ids /bin/login /bin/ps-hurd /usr/bin/w-hurd

binary-predeb/hurd::
	chmod u+s $(patsubst %, $(CURDIR)/debian/$(cdbs_curpkg)%, $(SUID_PROGRAMS))
binary-predeb/hurd-dev:: 
	rm -f $(CURDIR)/debian/hurd-dev/lib/*_pic.a
